osl::search::SearchTimerCommon Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Public Attributes | List of all members
osl::search::SearchTimerCommon Struct Reference

`#include <searchTimer.h>`

Collaboration diagram for osl::search::SearchTimerCommon:
[legend]

## Public Types
enum | StopReason { NotStopped, NoMoreTime, NoMoreMemory, StopByOutside }
typedef LightMutex | Mutex

## Public Member Functions
| SearchTimerCommon ()

## Public Attributes
MilliSeconds | start_time
| 探索開始時刻 More...
TimeAssigned | assigned
| 探索予定時間 More...
volatile double | next_iteration_coefficient
| 時間が何倍残っていたら次のiteration に進むか More...
volatile bool | stop_all
volatile StopReason | stop_reason
uint64_t | node_count_hard_limit
volatile int | last_memory_use1000
MilliSeconds | last_tested
uint64_t | next_node_count
double | nps
volatile bool | stable
vector< boost::shared_ptr < SearchMonitor > > | monitors
Mutex | mutex

## Detailed Description

Definition at line 35 of file searchTimer.h.

## Member Typedef Documentation

typedef LightMutex osl::search::SearchTimerCommon::Mutex

Definition at line 55 of file searchTimer.h.

## Member Enumeration Documentation

enum osl::search::SearchTimerCommon::StopReason

Enumerator
NotStopped |
NoMoreTime |
NoMoreMemory |
StopByOutside |

Definition at line 37 of file searchTimer.h.

## Constructor & Destructor Documentation

osl::search::SearchTimerCommon::SearchTimerCommon | ( | ) |  |
| inline

Definition at line 58 of file searchTimer.h.

## Member Data Documentation

TimeAssigned osl::search::SearchTimerCommon::assigned

探索予定時間

Definition at line 41 of file searchTimer.h.

volatile int osl::search::SearchTimerCommon::last_memory_use1000

Definition at line 47 of file searchTimer.h.

MilliSeconds osl::search::SearchTimerCommon::last_tested

Definition at line 50 of file searchTimer.h.

vector<boost::shared_ptr<SearchMonitor> > osl::search::SearchTimerCommon::monitors

Definition at line 54 of file searchTimer.h.

Mutex osl::search::SearchTimerCommon::mutex
| mutable

Definition at line 56 of file searchTimer.h.

volatile double osl::search::SearchTimerCommon::next_iteration_coefficient

時間が何倍残っていたら次のiteration に進むか

Definition at line 43 of file searchTimer.h.

uint64_t osl::search::SearchTimerCommon::next_node_count

Definition at line 51 of file searchTimer.h.

Referenced by osl::search::SearchTimer::throwIfNoMoreTime().

uint64_t osl::search::SearchTimerCommon::node_count_hard_limit

Definition at line 46 of file searchTimer.h.

double osl::search::SearchTimerCommon::nps

Definition at line 52 of file searchTimer.h.

volatile bool osl::search::SearchTimerCommon::stable

Definition at line 53 of file searchTimer.h.

MilliSeconds osl::search::SearchTimerCommon::start_time

探索開始時刻

Definition at line 39 of file searchTimer.h.

volatile bool osl::search::SearchTimerCommon::stop_all

Definition at line 44 of file searchTimer.h.

Referenced by osl::search::SearchTimer::throwIfNoMoreTime().

volatile StopReason osl::search::SearchTimerCommon::stop_reason

Definition at line 45 of file searchTimer.h.

The documentation for this struct was generated from the following file:

- searchTimer.h